www.cendio.com
Bug 5058 - wrong flags to umount (looks in mtab)
: wrong flags to umount (looks in mtab)
Status: CLOSED FIXED
: ThinLinc
Local drive redirection
: trunk
: PC Unknown
: P2 Normal
: 4.3.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-03-31 13:55 by
Modified: 2014-10-06 15:57 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-03-31 13:55:48
When we use tl-umount-localdrives for all users (-a), we use the system's
"umount" rather than our "tl-umount-personal". Unfortunately we don't give it
the proper -n flag:

tluser@dhcp-252-255:/var/opt/thinlinc/sessions/tluser$ tl-umount-localdrives -a
-v
Unmounting /var/opt/thinlinc/sessions/tluser/1.ended/drives/cdrom
umount: /var/opt/thinlinc/sessions/tluser/1.ended/drives/cdrom is not mounted
(according to mtab)
------- Comment #1 From cendio 2014-07-01 15:58:56 -------
r29140. Note that I didn't get any errors on CentOS 6 even without -n.
------- Comment #2 From cendio 2014-10-01 08:34:32 -------
Verified and works as expected.